Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins
[Java] Class CompositePluginDescriptorReader

    java.lang.Object
      org.codehaus.groovy.grails.plugins.CompositePluginDescriptorReader

All Implemented Interfaces:
  PluginDescriptorReader

    public class CompositePluginDescriptorReader

Combines different implementation into one.

Authors:
  Graeme Rocher

Since:
  1.3

Constructor Summary
`CompositePluginDescriptorReader(PluginBuildSettings pluginSettings)`

Method Summary
`GrailsPluginInfo` | `readPluginInfo(Resource r)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### CompositePluginDescriptorReader

    public CompositePluginDescriptorReader(PluginBuildSettings pluginSettings)

Method Detail

### readPluginInfo

    public GrailsPluginInfo readPluginInfo(Resource r)

Groovy Documentation